import { a0 as e } from "./684d2f28.js";
import "react";
import "react-dom";
const s = {
  name: "focus",
  description: e("method.focus"),
  params: []
}, c = {
  name: "focus",
  description: e("method.focus"),
  params: [{
    name: "options",
    type: "JSON",
    description: e("method.focusOptions")
  }]
}, a = {
  name: "blur",
  description: e("method.blur"),
  params: []
}, m = {
  name: "click",
  description: e("method.click"),
  params: []
}, i = {
  name: "select",
  description: e("method.select"),
  params: []
}, r = {
  name: "setSelectionRange",
  description: e("method.setSelectionRange"),
  params: [{
    name: "start",
    type: "number",
    description: e("method.selectionStart")
  }, {
    name: "end",
    type: "number",
    description: e("method.selectionEnd")
  }]
}, p = {
  name: "setRangeText",
  description: e("method.setRangeText"),
  params: [{
    name: "replacement",
    type: "string",
    description: e("method.replacement")
  }, {
    name: "start",
    type: "number",
    description: e("method.replaceStart")
  }, {
    name: "end",
    type: "number",
    description: e("method.replaceEnd")
  }]
};
export {
  a as blurMethod,
  m as clickMethod,
  s as focusMethod,
  c as focusWithOptions,
  i as selectMethod,
  p as setRangeTextMethod,
  r as setSelectionRangeMethod
};
